local assets =
{
    Asset("ANIM", "anim/venus_flylight.zip"),
}
local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddLight()
    inst.AnimState:SetBank("venus_flylight")
    inst.AnimState:SetBuild("venus_flylight")
    inst.AnimState:PlayAnimation("idle",true)
    inst:AddTag("FX")
	inst.persists = false
    return inst
end

return Prefab("common/fx/venus_flylight", fn, assets)